IDMap (JSAP: the Java Simple Argument Parser)
Keywords: com.martiansoftware.jsap.IDMap class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.martiansoftware.jsap
Class IDMap

    java.lang.Object
      com.martiansoftware.jsap.IDMap

    public class IDMap

extends Object

A utility class to allow lookups of parameter IDs by short flag or long flag. This class is used by DefaultSource in order to populate Defaults objects.

Author:
  Marty Lamb
See Also:
  `Flagged`, `DefaultSource`, `Defaults`

Constructor Summary
`IDMap(List ids, Map byShortFlag, Map byLongFlag)` Creates a new IDMap.

Method Summary
`String` | `getIDByLongFlag(String s)` Returns the unique ID of the parameter with the specified long flag, or null if the specified long flag is not defined in this IDMap.
`String` | `getIDByShortFlag(char c)` Returns the unique ID of the parameter with the specified short flag, or null if the specified short flag is not defined in this IDMap.
`String` | `getIDByShortFlag(Character c)` Returns the unique ID of the parameter with the specified short flag, or null if the specified short flag is not defined in this IDMap.
`boolean` | `idExists(String id)` Returns true if the specified ID is stored in this IDMap, false if not.
`Iterator` | `idIterator()` Returns an Iterator over all parameter IDs stored in this IDMap.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IDMap

    public IDMap(List ids,
                 Map byShortFlag,
                 Map byLongFlag)

  Creates a new IDMap.

  Parameters:
    `ids` - a List of the unique IDs of all the parameters to store in this IDMap.
    `byShortFlag` - a Map with keys equal to the short flags of the parameters (as Character objects), and values equal to the unique IDs of the parameters associated with those short flags.
    `byLongFlag` - a Map with keys equal to the long flags of the parameters (as Strings), and values equal to the unique IDs of the parameters associated with those short flags.

Method Detail

### idIterator

    public Iterator idIterator()

  Returns an Iterator over all parameter IDs stored in this IDMap.

  Returns:
    an Iterator over all parameter IDs stored in this IDMap.
  See Also:
    `Iterator`

### idExists

    public boolean idExists(String id)

  Returns true if the specified ID is stored in this IDMap, false if not.

  Parameters:
    `id` - the id to search for in this IDMap
  Returns:
    true if the specified ID is stored in this IDMap, false if not.

### getIDByShortFlag

    public String getIDByShortFlag(Character c)

  Returns the unique ID of the parameter with the specified short flag, or null if the specified short flag is not defined in this IDMap.

  Parameters:
    `c` - the short flag to search for in this IDMap.
  Returns:
    the unique ID of the parameter with the specified short flag, or null if the specified short flag is not defined in this IDMap.

### getIDByShortFlag

    public String getIDByShortFlag(char c)

  Returns the unique ID of the parameter with the specified short flag, or null if the specified short flag is not defined in this IDMap.

  Parameters:
    `c` - the short flag to search for in this IDMap.
  Returns:
    the unique ID of the parameter with the specified short flag, or null if the specified short flag is not defined in this IDMap.

### getIDByLongFlag

    public String getIDByLongFlag(String s)

  Returns the unique ID of the parameter with the specified long flag, or null if the specified long flag is not defined in this IDMap.

  Parameters:
    `s` - the long flag to search for in this IDMap.
  Returns:
    the unique ID of the parameter with the specified long flag, or null if the specified long flag is not defined in this IDMap.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2005, Martian Software, Inc.. All Rights Reserved.
For the latest version and documentation, please visit http://www.martiansoftware.com/jsap